import QtQuick 1.1

Rectangle {
    id: root

    property string message: ""
    property alias textColor: textArea.color

    visible: false
    anchors { left: parent.left; right: parent.right }
    width: parent.width
    height: 40

    color: "#80cccccc"

    function show(seconds) {
        if (!seconds) {
            seconds = 5
        }
        root.visible = true
        hideTimer.interval = seconds * 1000
        hideTimer.start()
    }

    Text {
        id: textArea
        color: "#ffffff"
        anchors { left: parent.left; leftMargin: 10; verticalCenter: parent.verticalCenter }
        text: root.message
        font { pixelSize: 16; bold: true }
    }

    Timer {
        id: hideTimer
        running: false
        repeat: false
        onTriggered: {
            root.visible = false
        }
    }
}
